%define majver %(echo %version | cut -d. -f1-2)
Name:          libnma
Version:       1.10.6
Release:       2mamba
Summary:       Network Manager Applet library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/libnma/%{majver}/libnma-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgcr-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libgtk3-devel
BuildRequires: libnm-devel
## AUTOBUILDREQ-END
BuildRequires: libgcr-devel >= 0:4.1.0-1mamba
BuildRequires: libffi-devel >= 3.3
Obsoletes:     libnm-gtk < 1.10.2
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description
Network Manager Applet library.

%package common
Group:         System/Libraries
Summary:       Network Manager Applet library (common files)

%description common
Network Manager Applet library (common files).

%package gtk4
Group:         System/Libraries
Summary:       Network Manager Applet library (GTK4)
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}

%description gtk4
Network Manager Applet library (GTK4).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-gtk4 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Obsoletes:     libnm-gtk-devel < 1.10.2

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson \
   -Dlibnma_gtk4=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

# Conflicting with same file readded in network-manager-applet 1.30.0
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post gtk4 -p /sbin/ldconfig
%postun gtk4 -p /sbin/ldconfig

%post common
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%postun common
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%files common -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet*.gschema.xml
%doc COPYING

%files
%defattr(-,root,root)
%{_libdir}/libnma.so.*
%{_libdir}/girepository-1.0/NMA-1.0.typelib

%files gtk4
%defattr(-,root,root)
%{_libdir}/libnma-gtk4.so.*
%{_libdir}/girepository-1.0/NMA4-1.0.typelib

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libnma
%{_includedir}/libnma/nma*.h
%{_libdir}/libnma.so
%{_libdir}/libnma-gtk4.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/gir-1.0/NMA4-1.0.gir
%{_datadir}/vala/vapi/libnma.deps
%{_datadir}/vala/vapi/libnma.vapi
%{_datadir}/vala/vapi/libnma-gtk4.deps
%{_datadir}/vala/vapi/libnma-gtk4.vapi
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/pkgconfig/libnma-gtk4.pc
%doc NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libnma
%{_datadir}/gtk-doc/html/libnma/*

%changelog
* Thu Mar 09 2023 Sdk Build System <sdk@mambasoft.it> 1.10.6-2mamba
- rebuilt by autoport with build requirements: libgcr-devel>=0:4.1.0-1mamba

* Tue Jan 10 2023 Automatic Build System <autodist@mambasoft.it> 1.10.6-1mamba
- automatic version update by autodist

* Sat Nov 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.4-2mamba
- remove nm-applet schema file conflicting with network-manager-applet (ref. https://github.com/NetworkManager/network-manager-applet/commit/574fdd9 )

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.2-2mamba
- rebuilt with gtk4 subpackage

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Automatic Build System <autodist@mambasoft.it> 1.8.40-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Automatic Build System <autodist@mambasoft.it> 1.8.38-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 1.8.36-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 1.8.34-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 1.8.32-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 1.8.30-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.28-2mamba
- rebuilt with libffi 3.3

* Fri Mar 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.28-1mamba
- package created using the webbuild interface
